package org.bfkj.config;


import org.bfkj.application.DataProcess;
import org.bfkj.utils.MyDbHelper;

import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

/**
 * 全局变量类
 */
public class ObjectMap {

    public static Map<String, DataProcess> dataProcessMaps = new HashMap<>(); //数据接收
    public static Map<String, MyDbHelper> myDbHelperMaps = new HashMap<>(); //数据采集map

    /*针对获取对象*/
    // todo 修改方法名： getordropInput
    public static DataProcess getordropInput(String serviceId, boolean isGet) {
        if (isGet) {
            DataProcess dataProcess = dataProcessMaps.get(serviceId);
            if (Objects.nonNull(dataProcess) && Objects.nonNull(dataProcess.getErrorMessage())) {
                dataProcess.close();
                dataProcess = null;
                dataProcessMaps.remove(serviceId);
            }
            if (!dataProcessMaps.containsKey(serviceId)) {
                dataProcessMaps.put(serviceId, new DataProcess(serviceId));
            }
            return dataProcessMaps.get(serviceId);
        } else {
            DataProcess datacollect = dataProcessMaps.get(serviceId);
            if (Objects.nonNull(datacollect)) {
                datacollect.close();
                datacollect = null;
            }
            dataProcessMaps.remove(serviceId);
            return null;
        }
    }

    public static DataProcess getordropInput(String serviceId) {
        return getordropInput(serviceId, true);
    }

    /**
     * @param connectStr 连接字符串
     * @return
     */
    public  static MyDbHelper getordropMyDbHelper(String connectStr) {
        return getordropMyDbHelper(connectStr, true);
    }

    /*获取数据库对象*/
    //todo  同步修正
    public  static MyDbHelper getordropMyDbHelper(String connectStr, boolean isGet) {
        connectStr = connectStr.replaceAll("\\s*|\r|\n|\t", "");
        if (isGet) {
            MyDbHelper myDbHelper = myDbHelperMaps.get(connectStr);
            if (Objects.nonNull(myDbHelper) && Objects.nonNull(myDbHelper.getErrorMessage())) {
                myDbHelper.close();
                myDbHelper = null;
                myDbHelperMaps.remove(connectStr);
            }
            if (!myDbHelperMaps.containsKey(connectStr)) {
                myDbHelperMaps.put(connectStr, new MyDbHelper(connectStr));
            }
            return myDbHelperMaps.get(connectStr);
        } else {
            MyDbHelper myDbHelper = myDbHelperMaps.get(connectStr);
            if (Objects.nonNull(myDbHelper)) {
                myDbHelper.close();
                myDbHelper = null;
            }
            myDbHelperMaps.remove(connectStr);
            return null;
        }
    }
}
